FreeMat

- Main Page
- Related Pages

vtkStructuredGridSource

Section: Visualization Toolkit Filtering Classes

# Usage

vtkStructuredGridSource is an abstract class whose subclasses generate structured grid data.

To create an instance of class vtkStructuredGridSource, simply invoke its constructor as follows

      obj = vtkStructuredGridSource

# Methods

The class vtkStructuredGridSource has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkStructuredGridSource class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkStructuredGridSource = obj.NewInstance ()`
- `vtkStructuredGridSource = obj.SafeDownCast (vtkObject o)`
- `vtkStructuredGrid = obj.GetOutput ()` - Get the output of this source.
- `vtkStructuredGrid = obj.GetOutput (int idx)` - Get the output of this source.
- `obj.SetOutput (vtkStructuredGrid output)` - Get the output of this source.